Bug 172793 - maintainer: copy net/xrdp to net/xrdp-devel, update to 0.7.0
Summary: maintainer: copy net/xrdp to net/xrdp-devel, update to 0.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-16 18:00 UTC by Koichiro Iwao
Modified: 2013-01-19 02:41 UTC (History)
0 users

See Also:


Attachments
patch.txt (3.01 KB, text/plain; charset=UTF-8)
2012-10-20 07:17 UTC, Koichiro Iwao
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2012-10-16 18:00:00 UTC
Since xrdp 0.6.0 stable released on August,now I am going to
port xrdp 0.7.0 development snapshot as net/xrdp-devel.
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2012-10-16 19:06:23 UTC
Class Changed
From-To: change-request->maintainer-update

fix synopsis - hand this over to the ports team. 


Comment 2 Eitan Adler freebsd_committer freebsd_triage 2012-10-16 19:06:23 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

fix synopsis - hand this over to the ports team.
Comment 3 Max Brazhnikov freebsd_committer 2012-10-19 20:57:17 UTC
State Changed
From-To: open->feedback

Please submit update vs existing port and ask to commit it as a new 
port.
Comment 4 Koichiro Iwao freebsd_committer 2012-10-20 07:17:33 UTC
See attached patch.

-- 
`whois vmeta.jp | nkf -w`
meta <meta@vmeta.jp>
Comment 5 Max Brazhnikov freebsd_committer 2012-10-22 12:55:12 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 6 Steve Wills freebsd_committer 2013-01-14 22:33:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 7 dfilter service freebsd_committer 2013-01-19 02:29:10 UTC
Author: swills
Date: Sat Jan 19 02:28:59 2013
New Revision: 310630
URL: http://svnweb.freebsd.org/changeset/ports/310630

Log:
  - Copy net/xrdp to net/xrdp-devel, update to 0.7.0
  
  PR:		ports/172793
  Submitted by:	Koichiro IWAO <meta+ports@vmeta.jp> (maintainer)

Added:
  head/net/xrdp-devel/
     - copied from r310327, head/net/xrdp/
Modified:
  head/net/Makefile
  head/net/xrdp-devel/Makefile
  head/net/xrdp-devel/distinfo
  head/net/xrdp-devel/files/patch-sesman__session_1.patch
  head/net/xrdp-devel/pkg-plist

Modified: head/net/Makefile
==============================================================================
--- head/net/Makefile	Sat Jan 19 02:28:36 2013	(r310629)
+++ head/net/Makefile	Sat Jan 19 02:28:59 2013	(r310630)
@@ -1250,6 +1250,7 @@
     SUBDIR += xpvm
     SUBDIR += xrdesktop
     SUBDIR += xrdp
+    SUBDIR += xrdp-devel
     SUBDIR += yaph
     SUBDIR += yate
     SUBDIR += yaz

Modified: head/net/xrdp-devel/Makefile
==============================================================================
--- head/net/xrdp/Makefile	Sun Jan 13 18:25:20 2013	(r310327)
+++ head/net/xrdp-devel/Makefile	Sat Jan 19 02:28:59 2013	(r310630)
@@ -2,12 +2,11 @@
 # $FreeBSD$
 
 PORTNAME=	xrdp
-PORTVERSION=	0.6.0
-PORTREVISION=	2
-PORTEPOCH=	1
+PORTVERSION=	0.7.0.20120918
 CATEGORIES=	net
-MASTER_SITES=	SF/xrdp/xrdp/${PORTVERSION}
-DISTNAME=	${PORTNAME}-v${PORTVERSION}
+MASTER_SITES=	http://www.club.kyutech.ac.jp/~meta/distfiles/ \
+		http://key2.jp/~meta/distfiles/
+PKGNAMESUFFIX=	-devel
 DIST_SUBDIR?=	${PORTNAME}
 
 PATCH_SITES=	http://www.club.kyutech.ac.jp/~meta/patches/xrdp/0.6.0/ \
@@ -27,6 +26,7 @@ USE_RC_SUBR=	xrdp
 CONFIGURE_ARGS=	--localstatedir=/var
 LDFLAGS+=	-L${LOCALBASE}/lib
 CPPFLAGS+=	-I${LOCALBASE}/include
+CONFLICTS=	xrdp-[0-9]*
 
 USE_LDCONFIG=	${PREFIX}/lib/xrdp
 

Modified: head/net/xrdp-devel/distinfo
==============================================================================
--- head/net/xrdp/distinfo	Sun Jan 13 18:25:20 2013	(r310327)
+++ head/net/xrdp-devel/distinfo	Sat Jan 19 02:28:59 2013	(r310630)
@@ -1,5 +1,5 @@
-SHA256 (xrdp/xrdp-v0.6.0.tar.gz) = 8b20fe56d935252981d73ac3b70b9b1654a83939824d9962beebb1586e429690
-SIZE (xrdp/xrdp-v0.6.0.tar.gz) = 322104
+SHA256 (xrdp/xrdp-0.7.0.20120918.tar.gz) = 97b447a2634dc151b869beca216116c5ec7cb17cc662c0642861c6226c4dcec9
+SIZE (xrdp/xrdp-0.7.0.20120918.tar.gz) = 6618465
 SHA256 (xrdp/patch-instfiles__Makefile.am) = 92e8a1768b63f508bc5b37cdc5723d1e03875af7fbdf064aa86a6b40b1bd2f07
 SIZE (xrdp/patch-instfiles__Makefile.am) = 710
 SHA256 (xrdp/patch-instfiles__km-0411.ini) = 58bcb7f063db4fcde9230be3013d46226b8af5c0060b7faf00250a51aa7da4fd

Modified: head/net/xrdp-devel/files/patch-sesman__session_1.patch
==============================================================================
--- head/net/xrdp/files/patch-sesman__session_1.patch	Sun Jan 13 18:25:20 2013	(r310327)
+++ head/net/xrdp-devel/files/patch-sesman__session_1.patch	Sat Jan 19 02:28:59 2013	(r310630)
@@ -67,13 +67,13 @@
 +    {
 +        if (setsid() < 0)
 +        {
-+          log_message(&(g_cfg->log), LOG_LEVEL_ERROR,
++          log_message(LOG_LEVEL_ERROR,
 +            "setsid failed: %.100s", strerror(errno));
 +        }
 +
 +        if (setlogin(username) < 0)
 +        {
-+          log_message(&(g_cfg->log), LOG_LEVEL_ERROR,
++          log_message(LOG_LEVEL_ERROR,
 +            "setlogin failed: %.100s", strerror(errno));
 +        }
 +    }

Modified: head/net/xrdp-devel/pkg-plist
==============================================================================
--- head/net/xrdp/pkg-plist	Sun Jan 13 18:25:20 2013	(r310327)
+++ head/net/xrdp-devel/pkg-plist	Sat Jan 19 02:28:59 2013	(r310630)
@@ -5,6 +5,7 @@ bin/xrdp-keygen
 bin/xrdp-sesadmin
 bin/xrdp-sesrun
 bin/xrdp-sestest
+bin/xrdp-xcon
 lib/xrdp/libcommon.a
 lib/xrdp/libcommon.la
 lib/xrdp/libcommon.so
@@ -29,6 +30,10 @@ lib/xrdp/libxrdp.a
 lib/xrdp/libxrdp.la
 lib/xrdp/libxrdp.so
 lib/xrdp/libxrdp.so.0
+lib/xrdp/libxrdpapi.la
+lib/xrdp/libxrdpapi.so
+lib/xrdp/libxrdpapi.so.0
+lib/xrdp/libxrdpapi.a
 lib/xrdp/libxup.a
 lib/xrdp/libxup.la
 lib/xrdp/libxup.so
@@ -70,5 +75,5 @@ share/xrdp/sans-10.fv1
 share/xrdp/xrdp24b.bmp
 share/xrdp/xrdp256.bmp
 @dirrm share/xrdp
-@dirrm lib/xrdp
+@dirrmtry lib/xrdp
 @dirrmtry etc/xrdp
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Steve Wills freebsd_committer 2013-01-19 02:41:42 UTC
State Changed
From-To: open->closed

Committed. Thanks!